import '../../styles';
import * as React from 'react';
import { Subject } from 'rxjs';
import { GlamorValue, t } from '../../common';
export interface IFormulaInputProps {
    value?: string;
    mode?: 'mathematica' | 'javascript';
    isMultiLine?: boolean;
    focusOnLoad?: boolean;
    selectOnLoad?: boolean;
    maxLength?: number;
    height?: number;
    events$?: Subject<t.FormulaInputEvent>;
    style?: GlamorValue;
}
export interface IFormulaInputState {
    isLoaded?: boolean;
}
export declare class FormulaInput extends React.PureComponent<IFormulaInputProps, IFormulaInputState> {
    state: IFormulaInputState;
    private unmounted$;
    private state$;
    private editor;
    private editorRef;
    private readonly _events$;
    readonly events$: import("rxjs").Observable<t.FormulaInputEvent>;
    componentWillMount(): void;
    componentDidMount(): void;
    componentWillUnmount(): void;
    readonly isFocused: boolean;
    private readonly height;
    focus(): void;
    redraw(): void;
    selectAll(): void;
    render(): JSX.Element;
    private fire;
    private focusHandler;
    private handleBeforeChange;
}
